Skip to main content
GET
/
v0
/
assets
/
{asset_id}
Get asset by ID
curl --request GET \
  --url https://api.tryarchitect.com/v0/assets/{asset_id} \
  --header 'x-api-key: <api-key>'
{
  "assetId": "<string>",
  "tenantId": "<string>",
  "name": "<string>",
  "purpose": "<string>",
  "tags": [
    "<string>"
  ],
  "aiDescription": "<string>",
  "parentAssetId": "<string>",
  "hidden": true,
  "data": {
    "type": "<string>",
    "fileId": "<string>"
  },
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "trashedAt": "<string>",
  "deletedAt": "<string>",
  "lifecycleState": "active",
  "downloadUrl": "<string>",
  "previewDownloadUrl": "<string>"
}

Authorizations

x-api-key
string
header
required

API key authentication for the External Actor Gateway

Path Parameters

asset_id
string
required

asset_id parameter

Response

Asset created successfully

assetId
string
required
tenantId
string
required
name
string
required
purpose
string
required
tags
string[]
required
aiDescription
string | null
required
parentAssetId
string | null
required
hidden
boolean
required
data
object
required
createdAt
string
required
Pattern: ^\+[1-9]\d{1,14}$
updatedAt
string
required
Pattern: ^\+[1-9]\d{1,14}$
trashedAt
string | null
required
Pattern: ^\+[1-9]\d{1,14}$
deletedAt
string | null
required
Pattern: ^\+[1-9]\d{1,14}$
lifecycleState
enum<string>
required
Available options:
active,
trashed,
deleted
downloadUrl
string | null
required
previewDownloadUrl
string | null
required